html,
body {
    margin: 0px;
    padding: 0px;
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    font-family: Inter Tight, Roboto, Arial, Helvetica, sans-serif;
    user-select: none;
    background-color: #2e2e2e;
}

body {
    background-color: #2e2e2e;

    /*background: linear-gradient(180deg, #2e2e2e 0%, #3a3a3a 100%);*/
    background: linear-gradient(180deg, #202020 0%, #2e2e2e 100%);
    /*background-image:url(wood_bg.jpeg);*/
    
    background-size: 376px auto;
}

#header, #footer {
    position: fixed;
    left: 0px;
    
    right: 0px;
   
    border: 1px black solid;
    background-color: rgba(0, 0, 0, 0.3);

    text-transform: uppercase;
    
    font-size: 18px;
    
    box-shadow: 0px 1px 8px rgba(0, 0, 0, 0.35);
    text-align: center;
    padding-top: 10px;
    z-index: 10;

    color:white;
}

#header {
    top: 0px;
    height: 30px;
    border-bottom:1px rgba(255,255,255, 0.1) solid;   
    letter-spacing: 2px;
}

#footer {
    bottom:0px;
    height: 70px;
    letter-spacing: 1px;
    
    border-top:1px rgba(255,255,255, 0.1) solid;  
}

#header img {
    position: absolute;
    top: 10px;
    left: 10px;
    height: 24px;
}

#header img.hidden {
    display: none;
}

#header .icon {
    position: absolute;
    top: 5px;
    right: 10px;
    font-size: 26px;
    transform: scaleX(-1) rotate(-45deg);
}

.panel.full {

}

.panel {
    position: absolute;
    left: 10px;
    right: 10px;
    top: 10px;
    bottom: 150px;
    border-radius: 10px;
    border: 1px rgba(129, 192, 255, 0.3) solid;
    /*min-height:100px;*/
    transition: max-height 0.5s ease;


}

.panel.hidden {
    display: none;
}

.panel.minimized {
    max-height: 32px;
    overflow: hidden;
}

.panel#enter,
.panel#login {
    margin-top: 55px;
}

.panel.quiz {
    top: 40px;
    bottom: none;
    height: 200px;
}

.panel .title {
    position: relative;
    top: 0px;
    right: 0px;
    left: 0px;
    height: 32px;
    text-transform: uppercase;
    letter-spacing: 1px;
    border-bottom: 1px rgba(129, 192, 255, 0.3) solid;
    background-color: rgba(0, 0, 0, 0.2);
    z-index: 2;
    box-shadow: 0px 7px 7px rgba(0, 0, 0, 0.25);
    cursor: pointer;
}

.panel .title .text {
    position: absolute;
    top: 11px;
    left: 10px;
    color: white;
    font-size: 11px;
}

.panel .title .expand {
    margin: 11px 5px 0px 5px;
    float: left;
    width: 10px;
    height: 10px;
    transition: transform 0.5s ease;
    transform: rotate(90deg);
    z-index: 2;
}

.panel .title .expand polygon {
    fill: #50798b;
    stroke: transparent;
    stroke-width: 0;
}

.panel.minimized .title .expand {
    transform: rotate(0deg);
}

.panel .content {
    position: absolute;
    top: 35px;
    left: 0px;
    bottom: 0px;
    right: 0px;

    overflow: hidden scroll;
    padding: 10px;

    color: white;
    font-size: 14px;
}

.panel .row {
    padding: 5px 5px 5px 5px;
    border-bottom: 1px rgba(255, 255, 255, 0.2) dotted;
}

.panel .leftcol {
    float: left;
    width: 40%;

}

.panel .rightcol {
    float: right;
    width: 60%;
    opacity: 0.7;
}

.button {
    position: absolute;
    bottom: 100px;
    height: 40px;
    left: 10px;
    right: 10px;
    border-radius: 10px;

    border: 1px rgba(129, 192, 255, 0.3) solid;
    background-color: rgb(22, 162, 94);
    border-radius: 10px;

    text-align: center;
}

.button:active {
    background-color: rgb(35, 206, 123);
}

.button:hover {
    background-color: rgb(31, 181, 109);
}

.button div {
    font-size: 18px;
    margin-top: 10px;
    font-weight: bold;
    color: white;
    text-shadow: 0px -1px 0px rgba(0, 0, 0, 0.5);
}

.buffer {
    position: absolute;
    top: 40px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    overflow: hidden;
}

.buffer.animated {
    transition: transform 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.075), opacity 0.3s linear;
}

.buffer.outgoingLeft {
    transform: translate3d(calc(-100%), 0px, 0px);
    z-index: 0;
    pointer-events: none;
    opacity: 0.5;
}

.buffer.incoming {
    transform: translate3d(0px, 0px, 0px);
    z-index: 1;
    opacity: 1;
}

.buffer.outgoingRight {
    transform: translate3d(calc(100%), 0px, 0px);
    z-index: 0;
    pointer-events: none;
    opacity: 0.5;
}

.page {
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;

    overflow: hidden;
}

.progress {
    position: absolute;
    top: 20px;
    left: 10px;
    right: 10px;
    height: 10px;
    display: flex;
    justify-content: center;
}

.progress .dot {
    float: left;
    width: 6px;
    height: 6px;
    margin: 2px;
    border-radius: 3px;
    background-color: rgba(255, 255, 255, 0.2);
}

.progress .dot.current {
    margin: 0px;
    width: 10px;
    height: 10px;
    border-radius: 5px;
    background-color: rgba(255, 255, 255, 0.5);
}

.progress .dot.pass {
    background-color: rgb(82, 237, 162);
}

.progress .dot.semi {
    background-color: rgb(230, 230, 9);
}

.progress .dot.fail {
    background-color: rgb(248, 114, 114);
}

.caption,
.result {
    font-size: 14px;
    margin-left: 1px;
    margin-top: 5px;
}

.result {
    margin-top: 80px;
}

.result .word {
    font-size: 16px;
    color: white;
}

.result.success {
    color: rgb(82, 237, 162);
}

.result.fail {
    color: rgb(248, 114, 114);
}

#word_input {

    position: absolute;
    top: 45px;
    left: 10px;
    right: 10px;
    height: 40px;
    font-size: 20px;
    padding: 0px 10px 0px 10px;
    border: 1px rgba(129, 192, 255, 0.3) solid;
    background-color: rgba(0, 0, 0, 0.5);
    outline: none;
    color: white;
}

#word_quiz img {
    position: absolute;
    top: 16px;
    right: 10px;
    width: 16px;
    height: 16px;
    cursor: pointer;
}



#word_input:focus,
#word_input:active {
    border: 1px rgba(129, 192, 255, 0.6) solid;
}

.type_tag {
    float: left;
    padding: 8px;
    margin: 2px;
    font-size: 12px;
    font-weight: bold;
    border-radius: 8px;
    background-color: rgba(0, 0, 0, 0.4);
    border: 1px rgba(129, 192, 255, 0.3) solid;
}

.type_tag.on {
    background-color: rgba(129, 192, 255, 0.3);
    border: 1px rgba(129, 192, 255, 0.6) solid;
}
